﻿Option Strict On
Imports System.Device.Location
Imports Microsoft.Phone.Controls.Maps
Partial Public Class BingMapPage
    Inherits PhoneApplicationPage

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub BingMapPage_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        Dim myParam As IDictionary(Of String, String) = NavigationContext.QueryString
        PageTitle.Text = myParam("name")
        Map1.Center = New GeoCoordinate(Double.Parse(myParam("Latitude")), Double.Parse(myParam("Longitude")))
        Map1.ZoomLevel = 10

        Dim myPin As New Pushpin
        myPin.Location = New GeoCoordinate(Double.Parse(myParam("Latitude")), Double.Parse(myParam("Longitude")))
        myPin.Content = myParam("name")
        Map1.Children.Add(myPin)
    End Sub
End Class

